import request from '@/utils/request'

// 查询上市公司信息列表
export function listCompany(query) {
    return request({
        url: '/crmListedCompany/findByPage',
        method: 'get',
        params: query
    })
}

// 查询上市公司信息详细
export function getCompany(id) {
    return request({
        url: '/crmListedCompany/' + id,
        method: 'get'
    })
}

// 新增上市公司信息
export function addCompany(data) {
    return request({
        url: '/crmListedCompany',
        method: 'post',
        data: data
    })
}

// 修改上市公司信息
export function updateCompany(data) {
    return request({
        url: '/crmListedCompany',
        method: 'put',
        data: data
    })
}

// 删除上市公司信息
export function delCompany(id) {
    return request({
        url: '/crmListedCompany/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delCompanyBatch(ids) {
    console.log(ids);
    return request.post('/crmListedCompany/delete',ids)
}